V1 and V2Accounts

Search API credentials

POST
/api/v1/accounts/api-credentials/search

Filter API credentials by multiple criteria

The filter structure and format are described in the Resources section of this guide. Sorting is not supported. The following fields can be used as attributes and filters. If no attributes are specified, all fields are returned.

FieldDescription
legacy_idAPI Credential ID in PIM
roleUser role: one of ADMIN, OWNER and USER
NameAPI credential name

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST 'https://example.com/api/v1/accounts/api-credentials/search' \  -H 'Content-Type: application/json' \  --data-raw '{  "filters": [    [      {        "field": "role",        "operator": "eq",        "value": "ADMIN"      }    ]  ],  "attributes": [    "legacy_id",    "name",    "role"  ],  "pagination": {    "page": 1,    "page_size": 5  }}'
{  "data": [    {      "legacy_id": "cccccccccccccccccccccccc",      "name": "API",      "role": "ADMIN"    }  ],  "pagination": {    "page": 1,    "page_size": 5,    "order": "",    "count": 1,    "total_count": 1  }}